---
title: Boolean.prototype.valueOf()
slug: Web/JavaScript/Reference/Global_Objects/Boolean/valueOf
tags:
  - Boolean
  - JavaScript
  - Method
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p>The <code><strong>valueOf()</strong></code> method returns the primitive value of a {{jsxref("Boolean")}} object.</p>

<div>{{EmbedInteractiveExample("pages/js/boolean-valueof.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>bool</var>.valueOf()</pre>

<h3 id="Return_value">Return value</h3>

<p>The primitive value of the given {{jsxref("Boolean")}} object</p>

<h2 id="Description">Description</h2>

<p>The <code>valueOf()</code> method of {{jsxref("Boolean")}} returns the primitive value of a <code>Boolean</code> object or literal <code>Boolean</code> as a Boolean data type.</p>

<p>This method is usually called internally by JavaScript and not explicitly in code.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_valueOf">Using <code>valueOf()</code></h3>

<pre class="brush: js notranslate">x = new Boolean();
myVar = x.valueOf(); // assigns false to myVar
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-boolean.prototype.valueof', 'Boolean.prototype.valueOf')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.Boolean.valueOf")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Object.prototype.valueOf()")}}</li>
</ul>
